summaryrefslogtreecommitdiffstats
path: root/run-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh20
1 files changed, 12 insertions, 8 deletions
diff --git a/run-tests.sh b/run-tests.sh
index 823814db85f..f95c8f978cb 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -31,10 +31,12 @@ function check_dependencies()
MISSING="$MISSING rpmbuild"
fi
- # Check for nfs-utils
- env mount.nfs -V > /dev/null 2>&1
- if [ $? -ne 0 ]; then
- MISSING="$MISSING nfs-utils"
+ # Check for nfs-utils (Linux-only: built-in NetBSD with different name)
+ if [ "x`uname -s`" = "xLinux" ] ; then
+ env mount.nfs -V > /dev/null 2>&1
+ if [ $? -ne 0 ]; then
+ MISSING="$MISSING nfs-utils"
+ fi
fi
# Check for the Perl Test Harness
@@ -48,10 +50,12 @@ function check_dependencies()
MISSING="$MISSING json_verify"
fi
- # Check for XFS programs
- env mkfs.xfs -V > /dev/null 2>&1
- if [ $? -ne 0 ]; then
- MISSING="$MISSING xfsprogs"
+ # Check for XFS programs (Linux Only: NetBSD does without)
+ if [ "x`uname -s`" = "xLinux" ] ; then
+ env mkfs.xfs -V > /dev/null 2>&1
+ if [ $? -ne 0 ]; then
+ MISSING="$MISSING xfsprogs"
+ fi
fi
# Check for attr